package com.yihu.hos.arbiter.configuration;

import com.yihu.hos.core.datatype.StringUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author Airhead
 * @since 2016/12/9.
 */
@Configuration
public class ArbiterServerConfiguration {
    @Value("${arbiter.central.url}")
    private String centralUrl;
    @Value("${arbiter.terminal.url}")
    private String terminalUrl;
    @Value("${arbiter.tenant.name}")
    private String tenant;


    public String getCentralUrl() {
        return centralUrl;
    }

    public String getTerminalUrl() {
        return terminalUrl;
    }

    public String getTenant() {
        return tenant;
    }

    public boolean isCentral() {
        return StringUtil.isEmpty(centralUrl);
    }

//    public boolean isTerminal() {
//        return !isCentral();
//    }
}
