package com.yihu.hos.web.framework.constant;

/**
 * @author Airhead
 * @since 2016/12/6.
 */
public interface ServiceFlowConstant {
    //流程-队列名称
    String FLOW_EVENT_QUEUE = "configuration.service.flow";
    String FLOW_EVENT_ENDPOINT = "service.flow.event:queue:configuration.service.flow";

    //流程-模板类型
    String JAVA = "java";
    String CLASS = "class";

    String JAVA_FILE = ".java";
    String CLASS_FILE = ".class";

    //流程-路由类型
    String FLOW_TYPE_ROUTE = "route";
    String FLOW_TYPE_PROCESSOR = "processor";

    //流程-路由类型
    String FLOW_OP_UPDATE = "update";
    String FLOW_OP_DELETE = "delete";
    String FLOW_OP_ADD = "add";

    //流程-操作消息
    String SERVICE_FLOW_STARTED = "serviceFlowStarted"; //启动服务流程
    String SERVICE_FLOW_STOPPED = "serviceFlowStopped"; //停止服务流程
    String SERVICE_FLOW_ADDED = "serviceFlowAdded"; //添加服务流程
    String SERVICE_FLOW_MODIFIED_ADD = "serviceFlowModifiedAdd";    //修改服务流程，修改或增加Router，Processor
    String SERVICE_FLOW_MODIFIED_REDUCE = "serviceFlowModifiedReduce";//修改服务流程，删除Router，Processor
    String SERVICE_FLOW_DELETED = "serviceFlowModifiedDelete";  //删除服务流程

    //BrokerServer
    String BROKER_SERVER_ON = "brokerServerOn"; //Broker启动
    String BROKER_SERVER_OFF = "brokerServerOff";//Broker停止
}
